StarObjectSmallGraphicInternal::Graphic Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
StarObjectSmallGraphicInternal::Graphic Class Referenceabstract

Internal: virtual class to store a graphic. More...

Inheritance diagram for StarObjectSmallGraphicInternal::Graphic:

## Public Member Functions
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...
virtual std::string | print () const
| basic print function More...
virtual std::string | getName () const =0
| return the object name More...
virtual bool | send (STOFFListenerPtr, StarObject &)
| try to send the graphic to the listener More...

## Public Attributes
int | m_identifier
| the type More...

## Detailed Description

Internal: virtual class to store a graphic.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::Graphic::Graphic | ( | int | id | ) |
| inlineexplicit

constructor

virtual StarObjectSmallGraphicInternal::Graphic::~Graphic | ( |  | ) |
| inlinevirtual

destructor

## Member Function Documentation

virtual std::string StarObjectSmallGraphicInternal::Graphic::getName | ( |  | ) | const
| pure virtual

return the object name

Implemented in StarObjectSmallGraphicInternal::SdrGraphic, StarObjectSmallGraphicInternal::SDUDGraphic, and StarObjectSmallGraphicInternal::SCHUGraphic.

virtual std::string StarObjectSmallGraphicInternal::Graphic::print | ( |  | ) | const
| inlinevirtual

basic print function

Reimplemented in StarObjectSmallGraphicInternal::SDUDGraphicAnimation, StarObjectSmallGraphicInternal::SdrGraphicUno, StarObjectSmallGraphicInternal::SdrGraphicPath, StarObjectSmallGraphicInternal::SdrGraphicPage, StarObjectSmallGraphicInternal::SdrGraphicOLE, StarObjectSmallGraphicInternal::SdrGraphicMeasure, StarObjectSmallGraphicInternal::SdrGraphicGraph, StarObjectSmallGraphicInternal::SdrGraphicEdge, StarObjectSmallGraphicInternal::SdrGraphicCircle, StarObjectSmallGraphicInternal::SdrGraphicCaption, StarObjectSmallGraphicInternal::SdrGraphicRect, StarObjectSmallGraphicInternal::SdrGraphicText, StarObjectSmallGraphicInternal::SdrGraphicGroup, StarObjectSmallGraphicInternal::SdrGraphicAttribute, StarObjectSmallGraphicInternal::SdrGraphic, StarObjectSmallGraphicInternal::SDUDGraphic, and StarObjectSmallGraphicInternal::SCHUGraphic.

virtual bool StarObjectSmallGraphicInternal::Graphic::send | ( | STOFFListenerPtr | ,
|  | StarObject & |
| ) |  |
| inlinevirtual

try to send the graphic to the listener

Reimplemented in StarObjectSmallGraphicInternal::SdrGraphicPath, StarObjectSmallGraphicInternal::SdrGraphicPage, StarObjectSmallGraphicInternal::SdrGraphicOLE, StarObjectSmallGraphicInternal::SdrGraphicMeasure, StarObjectSmallGraphicInternal::SdrGraphicGraph, StarObjectSmallGraphicInternal::SdrGraphicCircle, StarObjectSmallGraphicInternal::SdrGraphicRect, and StarObjectSmallGraphicInternal::SdrGraphicGroup.

Referenced by StarObjectSmallGraphicInternal::SdrGraphicPath::send().

## Member Data Documentation

int StarObjectSmallGraphicInternal::Graphic::m_identifier

the type

Referenced by StarObjectSmallGraphic::readSVDRObjectCircle(), StarObjectSmallGraphic::readSVDRObjectPath(), and StarObjectSmallGraphic::readSVDRObjectRect().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx